RKGOTO(3)

NAME
RkGoTo - change the current clause

SYNOPSIS
#include <canna/RK.h>
int RkGoTo(cxnum, bnum)
int cxnum;
int bnum;

DESCRIPTION
RkGoTo sets the clause with the specified clause number bnum as the current clause. The clause number must be 0 or greater but less than the last clause number. The current clause does not change when a clause number outside this range is specified.

RETURN VALUE
If successful, this function moves the current clause in the context and returns the current clause number after the move. It returns 0, without doing anything, if it has been run in a nonconversion mode context.